IdeaModuleIml (Gradle API 2.14.1)

org.gradle.plugins.ide.idea.model

## Class IdeaModuleIml

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.ide.api.FileContentMerger
    - - org.gradle.plugins.ide.api.XmlFileContentMerger
      - - org.gradle.plugins.ide.idea.model.IdeaModuleIml

- All Implemented Interfaces:
    GroovyObject

      public class IdeaModuleIml
      extends XmlFileContentMerger

  Models the generation/parsing/merging capabilities of an IDEA module.

  For examples, see docs for `IdeaModule`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdeaModuleIml(org.gradle.internal.xml.XmlTransformer xmlTransformer, File generateTo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getGenerateTo()` Folder where the *.iml file will be generated to
    `void` | `setGenerateTo(File generateTo)`

    - ### Methods inherited from class org.gradle.plugins.ide.api.XmlFileContentMerger

      `getXmlTransformer, setXmlTransformer, withXml, withXml`

    - ### Methods inherited from class org.gradle.plugins.ide.api.FileContentMerger

      `beforeMerged, getBeforeMerged, getWhenMerged, setBeforeMerged, setWhenMerged, whenMerged`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdeaModuleIml

          public IdeaModuleIml(org.gradle.internal.xml.XmlTransformer xmlTransformer,
                       File generateTo)

  - ### Method Detail

    - #### getGenerateTo

          public File getGenerateTo()

      Folder where the *.iml file will be generated to

      For example see docs for `IdeaModule`

    - #### setGenerateTo

          public void setGenerateTo(File generateTo)